local ADDON, Package = ...

local Module = {}

function Module.configure_unit_combat()
  PlayerFrame:UnregisterEvent("UNIT_COMBAT")
  PetFrame:UnregisterEvent("UNIT_COMBAT")
end

function Module.configure_ui_error_message()
  local f = function (self, event)
    if event == "PLAYER_REGEN_ENABLED" then
      UIErrorsFrame:RegisterEvent("UI_ERROR_MESSAGE")
    end

    if event == "PLAYER_REGEN_DISABLED" then
      UIErrorsFrame:UnregisterEvent("UI_ERROR_MESSAGE")
    end
  end

  local agent = CreateFrame("Frame")
  agent:RegisterEvent("PLAYER_REGEN_ENABLED")
  agent:RegisterEvent("PLAYER_REGEN_DISABLED")
  agent:SetScript("OnEvent", function (self, ...) f(self, ...) end)
end

Package.Combat = Module
